namespace ChuPiao.Common.Enums
{
    /// <summary>
    /// 彩票机模式类型
    /// </summary>
    [EnumDescription("彩票机模式类型")]
    public enum MacModeType
    {
        [EnumDescription("22选5单式")]
        XwDs = 7050101,
        [EnumDescription("22选5复式")]
        XwFs = 7050102,
        [EnumDescription("七星彩单式")]
        QxDs = 7040101,
        [EnumDescription("七星彩复式")]
        QxFs = 7040102,
        [EnumDescription("排列五单式")]
        PwDs = 7025201,
        [EnumDescription("排列五复式")]
        PwFs = 7025202,
        [EnumDescription("排列三直选单式")]
        PsDs = 7020101,
        [EnumDescription("排列三直选复式")]
        PsFs = 7020102,
        [EnumDescription("排列三直选和值")]
        PsHz = 7020103,
        [EnumDescription("排列三直选组合胆拖")]
        PsZhdt = 7020104,
        [EnumDescription("排列三直选跨度复式")]
        PsKdfs = 7020105,
        [EnumDescription("排列三直选组合复式")]
        PsZhfs = 7020106,
        [EnumDescription("排列三组选单式")]
        PsZxDs = 7021101,
        [EnumDescription("排列三组选和值")]
        PsZxHz = 7021103,
        [EnumDescription("排列三组选3复式")]
        PsZ3Fs = 7021202,
        [EnumDescription("排列三组选3胆拖")]
        PsZ3Dt = 7021204,
        [EnumDescription("排列三组选3跨度复式")]
        PsZ3Kdfs = 7021205,
        [EnumDescription("排列三组选6复式")]
        PsZ6Fs = 7022202,
        [EnumDescription("排列三组选6胆拖")]
        PsZ6Dt = 7022204,
        [EnumDescription("排列三组选6跨度复式")]
        PsZ6Kdfs = 7022205,
        [EnumDescription("大乐透单式")]
        LtDs = 7010101,
        [EnumDescription("大乐透复式")]
        LtFs = 7010102,
        [EnumDescription("大乐透胆拖")]
        LtDt = 7010103,
        [EnumDescription("大乐透单式追加投注")]
        LtZjDs = 7011101,
        [EnumDescription("大乐透复式追加投注")]
        LtZjFs = 7011102,
        [EnumDescription("大乐透胆拖追加投注")]
        LtZjDt = 7011103,
        [EnumDescription("大乐透幸运彩单式")]
        LtXycDs = 7012101,
        [EnumDescription("大乐透幸运彩复式")]
        LtXycFs = 7012102,
        [EnumDescription("进球彩单式")]
        JqDs = 6020101,
        [EnumDescription("进球彩复式")]
        JqFs = 6020102,
        [EnumDescription("半全场单式")]
        BqDs = 6030101,
        [EnumDescription("半全场复式")]
        BqFs = 6030102,
        [EnumDescription("胜负彩单式")]
        SfDs = 6010101,
        [EnumDescription("胜负彩复式")]
        SfFs = 6010102,
        [EnumDescription("任九单式")]
        SfR9Ds = 6011101,
        [EnumDescription("任九复式")]
        SfR9Fs = 6011102,
        [EnumDescription("任选一单式")]
        DlX1Ds = 5050101,
        [EnumDescription("任选一复式")]
        DlX1Fs = 5050102,
        [EnumDescription("任选二单式")]
        DlX2Ds = 5050201,
        [EnumDescription("任选二复式")]
        DlX2Fs = 5050202,
        [EnumDescription("任选二胆拖")]
        DlX2Dt = 5050203,
        [EnumDescription("任选三单式")]
        DlX3Ds = 5050301,
        [EnumDescription("任选三复式")]
        DlX3Fs = 5050302,
        [EnumDescription("任选三胆拖")]
        DlX3Dt = 5050303,
        [EnumDescription("任选四单式")]
        DlX4Ds = 5050401,
        [EnumDescription("任选四复式")]
        DlX4Fs = 5050402,
        [EnumDescription("任选四胆拖")]
        DlX4Dt = 5050403,
        [EnumDescription("任选五单式")]
        DlX5Ds = 5050501,
        [EnumDescription("任选五复式")]
        DlX5Fs = 5050502,
        [EnumDescription("任选五胆拖")]
        DlX5Dt = 5050503,
        [EnumDescription("任选六单式")]
        DlX6Ds = 5050601,
        [EnumDescription("任选六复式")]
        DlX6Fs = 5050602,
        [EnumDescription("任选六胆拖")]
        DlX6Dt = 5050603,
        [EnumDescription("任选七单式")]
        DlX7Ds = 5050701,
        [EnumDescription("任选七复式")]
        DlX7Fs = 5050702,
        [EnumDescription("任选七胆拖")]
        DlX7Dt = 5050703,
        [EnumDescription("任选八单式")]
        DlX8Ds = 5050801,
        [EnumDescription("选前二组选单式")]
        DlQ2ZxDs = 5050901,
        [EnumDescription("选前二组选复式")]
        DlQ2ZxFs = 5050902,
        [EnumDescription("选前二组选胆拖")]
        DlQ2ZxDt = 5050903,
        [EnumDescription("选前二组选和值")]
        DlQ2ZxHz = 5050904,
        [EnumDescription("选前二组选跨度")]
        DlQ2ZxKd = 5050905,
        [EnumDescription("选前二直选单式")]
        DlQ2Ds = 5051001,
        [EnumDescription("选前二直选复式")]
        DlQ2Fs = 5051002,
        [EnumDescription("选前二直选定位复式")]
        DlQ2DwFs = 5051003,
        [EnumDescription("选前二直选和值")]
        DlQ2Hz = 5051004,
        [EnumDescription("选前二直选跨度")]
        DlQ2Kd = 5051005,
        [EnumDescription("选前三组选单式")]
        DlQ3ZxDs = 5051101,
        [EnumDescription("选前三组选复式")]
        DlQ3ZxFs = 5051102,
        [EnumDescription("选前三组选胆拖")]
        DlQ3ZxDt = 5051103,
        [EnumDescription("选前三组选和值")]
        DlQ3ZxHz = 5051104,
        [EnumDescription("选前三组选跨度")]
        DlQ3ZxKd = 5051105,
        [EnumDescription("选前三直选单式")]
        DlQ3Ds = 5051201,
        [EnumDescription("选前三直选复式")]
        DlQ3Fs = 5051202,
        [EnumDescription("选前三直选定位复式")]
        DlQ3DwFs = 5051203,
        [EnumDescription("选前三直选和值")]
        DlQ3Hz = 5051204,
        [EnumDescription("选前三直选跨度")]
        DlQ3Kd = 5051205
    }
}
